All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
PDevicePluginFactory< AbstractClass, KeyType > Class Template Reference

`#include <plugin.h>`

Inheritance diagram for PDevicePluginFactory< AbstractClass, KeyType >:

## Classes

class | Worker

## Additional Inherited Members

Public Types inherited from PFactory< AbstractClass, KeyType >
typedef KeyType | Key_T
typedef AbstractClass | Abstract_T
typedef std::map< Key_T, WorkerBase * > | KeyMap_T
typedef std::vector< Key_T > | KeyList_T
Public Member Functions inherited from PFactory< AbstractClass, KeyType >
virtual void | DestroySingletons ()
Static Public Member Functions inherited from PFactory< AbstractClass, KeyType >
static bool | Register (const Key_T &key, WorkerBase *worker)
static bool | Register (const Key_T &key, Abstract_T *instance, bool autoDeleteInstance=true)
static PBoolean | RegisterAs (const Key_T &newKey, const Key_T &oldKey)
static void | Unregister (const Key_T &key)
static void | UnregisterAll ()
static bool | IsRegistered (const Key_T &key)
static Abstract_T * | CreateInstance (const Key_T &key)
template<class Derived_T >
static Derived_T * | CreateInstanceAs (const Key_T &key)
static PBoolean | IsSingleton (const Key_T &key)
static KeyList_T | GetKeyList ()
static KeyMap_T & | GetKeyMap ()
static PMutex & | GetMutex ()
Protected Member Functions inherited from PFactory< AbstractClass, KeyType >
| PFactory ()
| ~PFactory ()
bool | Register_Internal (const Key_T &key, WorkerBase *worker)
PBoolean | RegisterAs_Internal (const Key_T &newKey, const Key_T &oldKey)
void | Unregister_Internal (const Key_T &key)
void | UnregisterAll_Internal ()
bool | IsRegistered_Internal (const Key_T &key)
Abstract_T * | CreateInstance_Internal (const Key_T &key)
bool | IsSingleton_Internal (const Key_T &key)
KeyList_T | GetKeyList_Internal ()
Static Protected Member Functions inherited from PFactory< AbstractClass, KeyType >
static PFactory & | GetInstance ()
Protected Attributes inherited from PFactory< AbstractClass, KeyType >
KeyMap_T | m_keyMap

The documentation for this class was generated from the following file:

- plugin.h